const PanelMenu = imports.ui.panelMenu;
const St = imports.gi.St;
const Main = imports.ui.main;
const Lang = imports.lang;
const GnomeSession = imports.misc.gnomeSession;
const EndSessionDialog = imports.ui.endSessionDialog;

const Button = new Lang.Class({
    Name: 'ShutdownIndicator',
    Extends: PanelMenu.SystemStatusButton,

    _init: function() {
        this.parent('system-shutdown-symbolic', _("Shutdown"));
        
        this._Session = new GnomeSession.SessionManager();
        this.actor.connect('button-press-event', Lang.bind(this, function(){ this._Session.ShutdownRemote(); }));
        
        Main.panel._addToPanelBox('shutdown', this, Main.panel._rightBox.get_children().length-1, Main.panel._rightBox);
	}
});

function Extension() {
	this._init();
}
Extension.prototype = {
    _init: function() {
        this._button = null;
    },

    enable: function() {
        this._button = new Button();
        this._button.actor.show();
    },

    disable: function() {
        this._button.destroy();
        this._button = null;
    }
}

function init() {
    return new Extension();
}
